View Issue Details

IDProjectCategoryView StatusLast Update
0034732LazarusInstallerpublic2018-12-27 22:00
ReporterMikhailAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionreopened 
PlatformAMD64OSWindows 10OS Version2018y
Product Version2.0RC2Product Build 
Target Version2.2Fixed in Version2.2 
Summary0034732: File associations applied despite being unchecked during installation
DescriptionSubj
Steps To ReproduceLaunch install as secondary installation, uncheck file association, complete install, launch it, close it. Now doubleclick on any .lpi. Viola, opened with just installed version instead first old.
TagsNo tags attached.
Fixed in Revision59912
LazTarget2.2
WidgetsetWin32/Win64
Attached Files

Activities

Mikhail

2018-12-26 17:23

reporter   ~0112892

Even in 2RC3

Martin Friebe

2018-12-27 13:49

manager  

lazarus-DUMMY.exe (647,288 bytes)

Martin Friebe

2018-12-27 14:01

manager   ~0112905

Fixed in trunk. Decision to merge is pending...

Attached is an empty installer. (the included fpcmkcfg is a copy of gecho)

Please test with that installer, and see if it works as you expect. (You may have to copy a lazarus.exe into the install target dir, after install. So you can see if it is called or if another is called.

Or check the registry directly. Registry-paths are in tools/installer/win/lazarus.iss


--------------
If you find a way to register 2ndary installs, so it displays in "open with" under a different name..., patch welcome.

--------------
To build an empty installer for testing:
- change paths as needed
- batch script
- assuming you work in b:\installers / target for the created installer
- you can skip the "copy", you just have to ignore the installers error, when it tries to run fpcmkcfg

SET LAZBUILD_TARGET_DIR=B:\Installers\

set WORKDIR=B:\svn_checkout_or_installed_laz\tools\install\win\
cd %WORKDIR%

SET ISCC="C:\Program Files (x86)\Inno Setup 5.6.0U\iscc.exe"

SET BUILDDIR=c:\temp\lazbuild
SET OutputFileName=lazarus-DUMMY

rmdir /s /q %BUILDDIR%
mkdir %BUILDDIR%
mkdir %BUILDDIR%\fpc\bin
echo 1 >%BUILDDIR%\test.txt
copy B:\fpc_svn_build\install\binw32\gecho.exe %BUILDDIR%\fpc\bin\fpcmkcfg.exe

%ISCC% lazarus.iss >> installer.log

Mikhail

2018-12-27 15:46

reporter   ~0112910

Last edited: 2018-12-27 15:48

View 2 revisions

Builded myself DUMMY using sources taked from command "svn co https://svn.freepascal.org/svn/lazarus/trunk lazarus"
Now with unchecked file association DUMMY-installer not touches it. As this expected.
But i doing additional test.
1. manually associate .lpi and .lpr to wordpad (writer).
2. Install DUMMY again but not deselecting file associations.
*. .lpi & .lpr remains associated with wordpad, but .pas got associated with DUMMY installation lazarus.exe (taked from from 1.8.4 x32)
All installations performed as second install (chechbox).
Guess this is not normal.

Martin Friebe

2018-12-27 17:17

manager   ~0112913

How did you change the association?

Maybe there are more registry keys...

Did you test the wordpad situation with the old installer?

Mikhail

2018-12-27 18:03

reporter   ~0112914

Last edited: 2018-12-27 18:51

View 3 revisions

How ...
Right click on .lpi file, choose Open with, select WordPad. Another words usual way.
Did...
No

Edit:
Appears this thing is windows 8+ specific.
Registry path is HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.lpi
Seems like issue appears only when user manually associate files before install. So this resulting in not Lazarus installer bug, but how new windows-es file associations works.

Mikhail

2018-12-27 18:40

reporter  

open_lpi_with_Wordpad_registry_key.reg (1,284 bytes)

Martin Friebe

2018-12-27 22:00

manager   ~0112921

Ok, so it is not a regression.
And the new code fixes the issue you described in this bug's main report.

We can see if that registry path can/should be added, to the installers work.

I will leave the issue open.

Issue History

Date Modified Username Field Change
2018-12-19 19:31 Mikhail New Issue
2018-12-20 11:44 Martin Friebe Assigned To => Martin Friebe
2018-12-20 11:44 Martin Friebe Status new => assigned
2018-12-26 17:23 Mikhail Note Added: 0112892
2018-12-27 13:49 Martin Friebe File Added: lazarus-DUMMY.exe
2018-12-27 14:01 Martin Friebe Fixed in Revision => 59912
2018-12-27 14:01 Martin Friebe LazTarget => 2.2
2018-12-27 14:01 Martin Friebe Note Added: 0112905
2018-12-27 14:01 Martin Friebe Status assigned => resolved
2018-12-27 14:01 Martin Friebe Fixed in Version => 2.2
2018-12-27 14:01 Martin Friebe Resolution open => fixed
2018-12-27 14:01 Martin Friebe Target Version => 2.2
2018-12-27 15:46 Mikhail Note Added: 0112910
2018-12-27 15:48 Mikhail Note Edited: 0112910 View Revisions
2018-12-27 17:17 Martin Friebe Note Added: 0112913
2018-12-27 17:17 Martin Friebe Status resolved => assigned
2018-12-27 17:17 Martin Friebe Resolution fixed => reopened
2018-12-27 18:03 Mikhail Note Added: 0112914
2018-12-27 18:39 Mikhail Note Edited: 0112914 View Revisions
2018-12-27 18:40 Mikhail File Added: open_lpi_with_Wordpad_registry_key.reg
2018-12-27 18:51 Mikhail Note Edited: 0112914 View Revisions
2018-12-27 22:00 Martin Friebe Note Added: 0112921